Main Page | Modules | Data Structures | File List | Data Fields | Globals | Related Pages

# remote-ext.h File Reference

Go to the source code of this file.

## Data Structures
struct | pcap_rmtauth
| This structure keeps the information needed to autheticate the user on a remote machine. More...
struct | pcap_samp
| This structure defines the information related to sampling. More...
## New WinPcap functions
This section lists the new functions that are able to help considerably in writing WinPcap programs because of their easiness of use.
pcap_t * | pcap_open (const char *source, int snaplen, int flags, int read_timeout, struct pcap_rmtauth *auth, char *errbuf)
| It opens a generic source in order to capture / send (WinPcap only) traffic.
int | pcap_createsrcstr (char *source, int type, const char *host, const char *port, const char *name, char *errbuf)
| Accepts a set of strings (host name, port, ...), and it returns the complete source string according to the new format (e.g. 'rpcap://1.2.3.4/eth0').
int | pcap_parsesrcstr (const char *source, int *type, char *host, char *port, char *name, char *errbuf)
| Parses the source string and returns the pieces in which the source can be split.
int | pcap_findalldevs_ex (char *source, struct pcap_rmtauth *auth, pcap_if_t **alldevs, char *errbuf)
| It creates a list of network devices that can be opened with pcap_open().
pcap_samp * | pcap_setsampling (pcap_t *p)
| It defines a sampling method for packet capture.
## Remote Capture functions
This section lists the functions that are specific for remote capture.
SOCKET | pcap_remoteact_accept (const char *address, const char *port, const char *hostlist, char *connectinghost, struct pcap_rmtauth *auth, char *errbuf)
| It blocks until a network connection is accepted (active mode only).
int | pcap_remoteact_list (char *hostlist, char sep, int size, char *errbuf)
| Returns the hostname of the host that have an active connection with us (active mode only).
int | pcap_remoteact_close (const char *host, char *errbuf)
| It drops an active connection (active mode only).
void | pcap_remoteact_cleanup ()
| Cleans the socket that is currently used in waiting active connections.
## Defines
#define | PCAP_BUF_SIZE 1024
| Defines the maximum buffer size in which address, port, interface names are kept.
#define | PCAP_SRC_FILE 2
| Internal representation of the type of source in use (file, remote/local interface).
#define | PCAP_SRC_IFLOCAL 3
| Internal representation of the type of source in use (file, remote/local interface).
#define | PCAP_SRC_IFREMOTE 4
| Internal representation of the type of source in use (file, remote/local interface).
#define | PCAP_SRC_FILE_STRING "file://"
| String that will be used to determine the type of source in use (file, remote/local interface).
#define | PCAP_SRC_IF_STRING "rpcap://"
| String that will be used to determine the type of source in use (file, remote/local interface).
#define | PCAP_OPENFLAG_PROMISCUOUS 1
| It defines if the adapter has to go in promiscuous mode.
#define | PCAP_OPENFLAG_DATATX_UDP 2
| It defines if the data trasfer (in case of a remote capture) has to be done with UDP protocol.
#define | PCAP_OPENFLAG_NOCAPTURE_RPCAP 4
| It defines if the remote probe has to capture its own generated traffic.
#define | PCAP_SAMP_NOSAMP 0
| No sampling has to be done on the current capture.
#define | PCAP_SAMP_1_EVERY_N 1
| It defines that only 1 out of N packets must be returned to the user.
#define | PCAP_SAMP_FIRST_AFTER_N_MS 2
| It defines that we have to return 1 packet every N milliseconds.
#define | RPCAP_RMTAUTH_NULL 0
| It defines the NULL authentication.
#define | RPCAP_RMTAUTH_PWD 1
| It defines the username/password authentication.
#define | RPCAP_HOSTLIST_SIZE 1024
| Maximum lenght of an host name (needed for the RPCAP active mode).

## Detailed Description

The goal of this file it to include most of the new definitions that should be placed into the pcap.h file.

It includes all new definitions (structures and functions like pcap_open(). Some of the functions are not really a remote feature, but, right now, they are placed here.

Definition in file remote-ext.h.

documentation. Copyright (c) 2002-2003 Politecnico di Torino. All rights reserved.